Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gtk::EditableSignals Class Reference

Abstract base class that implements the virtual signal handlers for Gtk::Editable. More...

`#include <xfc/gtk/impl/editable.hh>`

Inheritance diagram for Xfc::Gtk::EditableSignals:

List of all members.

## Public Member Functions

Signal Handlers

- virtual void on_insert_text (const String &text, int *position)
    Called when text is inserted into the widget by the user.
- virtual void on_delete_text (int start_pos, int end_pos)
    Called when text is deleted from the widget by the user.
- virtual void on_changed ()
    Called when the user changes the contents of the widget.

## Protected Member Functions

Constructors

- virtual ~EditableSignals ()=0
    Destructor.

## Detailed Description

Abstract base class that implements the virtual signal handlers for Gtk::Editable.

## Member Function Documentation

virtual void Xfc::Gtk::EditableSignals::on_delete_text | ( | int | start_pos,
|  | int | end_pos
| ) | `[virtual]`

Called when text is deleted from the widget by the user.

Parameters:

  | start_pos | The starting position.
  | end_pos | The end position.

The default handler for this signal will normally be responsible for deleting the text, so by overriding this method and either calling or not calling the parent class method, it is possible to modify the deleted text, or prevent it from being deleted entirely. The start_pos and end_pos parameters are interpreted as for delete_text()

virtual void Xfc::Gtk::EditableSignals::on_insert_text | ( | const String & | text,
|  | int * | position
| ) | `[virtual]`

Called when text is inserted into the widget by the user.

Parameters:

  | text | The new text to insert.
  | position | The position at which to insert the new text.

Position is an in-out paramter. After the signal emission is finished, it should point after the newly inserted text. The default handler for this signal will normally be responsible for inserting the text, so by overriding this method and either calling or not calling the parent class method, it is possible to modify the inserted text, or prevent it from being inserted entirely.

The documentation for this class was generated from the following file:

- editablesignals.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3